summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorMartin C. Doege2018-01-10 17:45:04 +0100
committerMartin C. Doege2018-01-10 17:45:04 +0100
commit7778a15e46324ab36c0e6c307e86582770ff4654 (patch)
tree1333bc145429849bfd0d9f902ac8ee0f7dbca2c3
parentb27ac61d4c44199f936ecf1dff987221ad6926a8 (diff)
downloadaur-7778a15e46324ab36c0e6c307e86582770ff4654.tar.gz
v1.1.56 (switch to Python 3)
-rw-r--r--.SRCINFO21
-rw-r--r--PKGBUILD18
2 files changed, 19 insertions, 20 deletions
diff --git a/.SRCINFO b/.SRCINFO
index d090b17e715..b4162a71d13 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,27 +1,26 @@
-# Generated by mksrcinfo v8
-# Mon Jul 10 14:12:01 UTC 2017
pkgbase = openastro
pkgdesc = Open source fully-featured astrology software
- pkgver = 1.1.50
+ pkgver = 1.1.56
pkgrel = 1
url = http://www.openastro.org/
arch = i686
arch = x86_64
license = GPL
- makedepends = python2-setuptools
+ makedepends = python-setuptools
depends = imagemagick
- depends = python2-dateutil
- depends = python2-rsvg
- depends = python2-pytz
+ depends = python-dateutil
+ depends = python-cairo
+ depends = python-pytz
depends = pyswisseph
+ depends = python-gobject
conflicts = openastro-dev
conflicts = swisseph_12
conflicts = swisseph_18
conflicts = swisseph-fixstars
- source = openastro.org_1.1.50.orig.tar.gz::http://www.openastro.org/download.php?file=source&type=openastro
- source = openastro.org-data_1.7.orig.tar.gz::http://openastro.org/download.php?file=source&type=data
- md5sums = e992f70476e4853adef116ab347f902f
- md5sums = 418c3f7d1a24f58881e4dabf8c962c9f
+ source = openastro.org_1.1.56.orig.tar.gz::http://www.openastro.org/download.php?file=source&type=openastro
+ source = openastro.org-data_1.8.orig.tar.gz::http://openastro.org/download.php?file=source&type=data
+ md5sums = 3d9c160e18c3b3bc1635f63d197ae1cc
+ md5sums = b799f2ceca718d5ea15e18770dea07d8
pkgname = openastro
diff --git a/PKGBUILD b/PKGBUILD
index 3aec871fa29..f813dfffe58 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,26 +1,26 @@
# Maintainer:Martin C. Doege <mdoege at compuserve dot com>
pkgname='openastro'
-pkgver='1.1.50'
+pkgver='1.1.56'
pkgrel=1
pkgdesc='Open source fully-featured astrology software'
arch=('i686' 'x86_64')
license=('GPL')
url='http://www.openastro.org/'
-depends=('imagemagick' 'python2-dateutil' 'python2-rsvg' 'python2-pytz' 'pyswisseph')
-makedepends=('python2-setuptools')
+depends=('imagemagick' 'python-dateutil' 'python-cairo' 'python-pytz' 'pyswisseph' 'python-gobject')
+makedepends=('python-setuptools')
optdepends=()
conflicts=('openastro-dev' 'swisseph_12' 'swisseph_18' 'swisseph-fixstars')
source=(
"openastro.org_"$pkgver".orig.tar.gz::http://www.openastro.org/download.php?file=source&type=openastro"
- "openastro.org-data_1.7.orig.tar.gz::http://openastro.org/download.php?file=source&type=data"
+ "openastro.org-data_1.8.orig.tar.gz::http://openastro.org/download.php?file=source&type=data"
)
-md5sums=('e992f70476e4853adef116ab347f902f'
- '418c3f7d1a24f58881e4dabf8c962c9f')
+md5sums=('3d9c160e18c3b3bc1635f63d197ae1cc'
+ 'b799f2ceca718d5ea15e18770dea07d8')
package() {
cd $srcdir"/openastro.org-"$pkgver
- python2 setup.py install --root=$pkgdir || return 1
- cd $srcdir"/openastro.org-data-1.7"
- python2 setup.py install --root=$pkgdir || return 1
+ python setup.py install --root=$pkgdir || return 1
+ cd $srcdir"/openastro.org-data-1.8"
+ python setup.py install --root=$pkgdir || return 1
}